Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163881 - Cron no longer allows read-only crontabs, enforces write access
Summary: Cron no longer allows read-only crontabs, enforces write access
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: vixie-cron
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jason Vas Dias
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On: 142953
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-07-21 19:25 UTC by Jason Vas Dias
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2005-361
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 12:34:53 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:361 qe-ready SHIPPED_LIVE Low: vixie-cron security update 2005-10-05 04:00:00 UTC

Description Jason Vas Dias 2005-07-21 19:25:52 UTC
+++ This bug was initially created as a clone of Bug #142953 +++

Description of problem:
In previous releases of FC it was possible to have r/o crontab files,
for example an rpm which needs cron entries might drop a file
into /etc/cron.d/my-package which was mode 444 or similar.

This no longer works - the check in database.c around line 260
has the following code:-
	if ((statbuf->st_mode & 07733) != 0600) {
		log_it(fname, getpid(), "BAD FILE MODE", tabname);
		goto next_crontab;
	}
which *enforces* the owner write bit.

Although it may not be good practice to make these r/o (I would be
prepared to argue this point), enforcing writability seems
counter-intuitive, especially when you end up reading the damn source
code to find out just what is wrong :-)

Version-Release number of selected component (if applicable):
vixie-cron-4.1-19

How reproducible:
Every time

Steps to Reproduce:
1. install -m444 mycrontab /etc/cron.d/mycrontab
2. look at output in /var/log/cron

Additional info:

Comment 1 Jason Vas Dias 2005-07-21 20:55:37 UTC
Fixed for bug Bug #142953 with vixie-cron-4.1-36.EL4.

Comment 6 Red Hat Bugzilla 2005-10-05 12:34:53 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-361.html



Note You need to log in before you can comment on or make changes to this bug.